[ANN] Mojo Appassembler Maven Plugin Version 1.9 Released

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[ANN] Mojo Appassembler Maven Plugin Version 1.9 Released

Karl Heinz Marbaise-2
Hi,

The Mojo team is pleased to announce the release of the Appassembler
Maven Plugin version 1.9.

The Application Assembler Plugin is a Maven plugin for generating
scripts for starting java applications. All dependencies and the
artifact of the project itself are placed in a generated Maven
repository in a defined assemble directory. All artifacts (dependencies
+ the artifact from the project) are added to the classpath in the
generated bin scripts.

http://mojo.codehaus.org/appassembler/appassembler-maven-plugin/

To get this update, simply specify the version in your project's plugin
configuration:

<plugin>
   <groupId>org.codehaus.mojo</groupId>
   <artifactId>appassembler-maven-plugin</artifactId>
   <version>1.9</version>
</plugin>

Release Notes:
http://jira.codehaus.org/secure/ReleaseNote.jspa?projectId=11780&version=20608

Bug:

* [MAPPASM-238] - wrapperLogFile

Improvements:

* [MAPPASM-239] - Update version of plexus-archiver to 2.5
* [MAPPASM-240] - Update version of plexus-archiver to 2.6.3
* [MAPPASM-241] - Upgrade plexus-utils to 3.0.20
* [MAPPASM-242] - Upgrade to plexus-archiver 2.7.1
* [MAPPASM-243] - Upgrade plexus-interpolation to 1.21
* [MAPPASM-244] - Upgrade to mojo parent version 34
* [MAPPASM-246] - Use maven-dependency-plugin version which is defined
by the parent.
* [MAPPASM-247] - Upgrade maven-filtering to 1.3
* [MAPPASM-248] - Wrapper script fails on Solaris / SunOS 5.2 when the
LC_TYPE is set to a non-single byte locale

Task:

  * [MAPPASM-236] - Removing plexus-container-default dependency


Enjoy,

The Mojo team.

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email